/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright (C) 2023 Verisilicon Inc.
 */

#ifndef REG_DUMP_H
#define REG_DUMP_H
#include <linux/mman.h>
#include <linux/fs.h>
#include "common.h"

#define TASK_BUSY 1
#define TASK_IDEL 0
#define SLEEP_X_MS 100

/* task */
int create_dump_task(struct sn_tranx_t *tdev);
void release_dump_task(void);
int task_dump_ips(struct sn_tranx_t *tdev, char* ip_name);

/* dump */
int write_dump_file(struct file * filp, char* buf, int len);
int sn_reg_dump_init(struct sn_tranx_t *tdev);
void sn_reg_dump_release(struct sn_tranx_t *tdev);
int dump_ip_regs(struct sn_tranx_t *tdev, char *buf);

#endif
